# Method: providers.accounts.approve

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/approve#body.aspect)

Grants an approval on an `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account`.

### HTTP request

`POST https://cloudcommerceprocurement.googleapis.com/v1/{name=providers/*/accounts/*}:approve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the account, with the format `providers/{providerId}/accounts/{accountId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `commerceprocurement.providerAccounts.approve` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "properties": { string: string, ... }, "approvalName": string, "reason": string } ``` |

| Fields ||
|---|---|
| `properties` | `map (key: string, value: string)` Set of properties that should be associated with the account. Optional. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `approvalName` | `string` The name of the approval being approved. If absent and there is only one approval possible, that approval will be granted. If absent and there are many approvals possible, the request will fail with a 400 Bad Request. Optional. |
| `reason` | `string` Free form text string explaining the approval reason. Optional. Max allowed length: 256 bytes. Longer strings will be truncated. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).